package com.tzld.piaoquan.wecom.controller;

import com.tzld.piaoquan.wecom.service.AccessTokenService;
import com.tzld.piaoquan.wecom.utils.HttpClientUtil;
import com.tzld.piaoquan.wecom.utils.HttpPoolClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@Slf4j
@RestController
@RequestMapping("/test")
public class TestController {

    private static final HttpPoolClient httpPoolClientDefault = HttpClientUtil.create(30000, 30000, 2000, 5000, 5, 30000);

    @Autowired
    private AccessTokenService accessTokenService;


    @GetMapping("/ok")
    public void test() throws IOException {
        String weComAccessToken = accessTokenService.getWeComAccessToken();
        log.info("weComAccessToken={}", weComAccessToken);
        if (weComAccessToken == null) {
            return;
        }
        String url = "https://qyapi.weixin.qq.com/cgi-bin/externalcontact/get_follow_user_list?access_token=" + weComAccessToken;
        String s = httpPoolClientDefault.get(url);
        log.info("getTest={}", s);

    }
}
